
<app-add-user (addUser)="onSubmitRegister($event)"></app-add-user>

<h3 class="mt-4">{{ title }}</h3>
<table class="table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col">Name</th>
      <th scope="col">ng-content</th>
    </tr>
  </thead>
  <tbody>
    <tr app-user *ngFor="let user of userList" [user]="user">
      <div>Ng Content Testing</div>
    </tr>
  </tbody>
</table>

<p [ngStyle]="{backgroundColor: 'green', color: '#FFFF'}">ngStyle Color</p>

<p appHighLightText>Background Color Change by Atrribute Directive</p>

<p appRendererHighlight [defaultColor]="'green'" orange='orange'>Background Color Change by Atrribute Directive</p>


<div [ngSwitch]="value">
  <div *ngSwitchCase="10">Value is 10</div>
  <div *ngSwitchCase="15">Value is 15</div>
  <div *ngSwitchDefault>Value is default</div>
</div>
